<template>
  <v-layout color="#f8f8f8">
    <v-flex md12 pa-1>
      <v-layout>
        <v-card class="mx-auto my-12" elevation="0" width="100%" height="100%">
          <v-layout v-if="!mobileView">
            <v-flex xs6>
              <div class="font-size-24-bold title-style">
                ประเมินความเสี่ยง
              </div>
            </v-flex>
            <v-spacer></v-spacer>
            <v-flex xs3 style="margin: 16px 8px 16px 0px;">
              <v-text-field
                outline
                placeholder="Search"
                name="search"
                v-model="search"
                append-icon="search"
                style="width:100%;font-family: Sarabun, sans-serif;"
              >
              </v-text-field>
            </v-flex>
          </v-layout>

          <!-- ------------------------- mobileView ------------------------- -->
          <v-layout wrap v-if="mobileView">
            <v-flex xs="6">
              <div class="font-size-24-bold title-style">
                ประเมินความเสี่ยง
              </div>
            </v-flex>
            <v-flex xs="6" style="margin: 16px 8px 16px 0px;">
              <v-text-field
                outline
                placeholder="Search"
                name="search"
                v-model="search"
                append-icon="search"
                style="width:100%;font-family: Sarabun, sans-serif;"
              >
              </v-text-field>
            </v-flex>
          </v-layout>
          <!-- ------------------------- end mobileView ------------------------- -->

          <v-flex md12 pa-1>
            <v-data-table
              :rows-per-page-items="rowperpage"
              :pagination.sync="pagination"
              :headers="headers"
              :items="list_customer"
              class="elevation-0 custom-table-cell table-style"
              :search="search"
              disable-initial-sort
              id="mytable"
            >
              <template v-slot:items="props">
                <tr style="cursor: pointer;" @click="openDialogRisk(props)">
                  <td class="text-xs-left">{{ props.item.company_name }}</td>
                  <td class="text-xs-center">{{ props.item.level }}</td>
                  <td class="text-xs-left">{{ props.item.date }}</td>
                </tr>
              </template>
            </v-data-table>
          </v-flex>
        </v-card>
      </v-layout>
    </v-flex>
  </v-layout>
</template>
<script>
export default {
  data() {
    return {
      mobileView: "",
      search: "",
      headers: [
        {
          text: "ชื่อบริษัท",
          align: "left",
          value: "company_name"
        },
        { text: "ระดับความเสี่ยง", align: "left", value: "level" },
        { text: "วันที่อัพเดต", align: "left", value: "date" }
      ],
      list_customer: [],
      rowperpage: [
        5,
        10,
        25,
        { text: "$vuetify.dataIterator.rowsPerPageAll", value: -1 }
      ],
      pagination: {
        rowsPerPage: 10
      }
    };
  },
  methods: {
    openDialogRisk() {
      console.log("Open");
    },
    handleView() {
      this.mobileView = window.innerWidth <= 990;
    }
  },
  created() {
    this.role = this.$cookies.get("role");
    if (this.role === "Admin" && this.$cookies.get("token")) {
      // this.getTaxInfo();
    }

    this.handleView();
    window.addEventListener("resize", this.handleView);
  },
  watch: {
    tokenHashTaxid(data) {
      // this.getTaxInfo();
    }
  }
};
</script>

<style scoped></style>
